###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: gfs2-utils
Version: 0.1.53
Release: 1%{?dist}
License: GPL
Group: System Environment/Kernel
Summary: Utilities for managing the global filesystem (GFS)
#ExclusiveArch: %{ix86} x86_64
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires: ncurses
BuildRequires: ncurses-devel
BuildRequires: glibc-kernheaders
BuildRequires: libvolume_id-devel
URL: http://sources.redhat.com/cluster/
Source0: gfs2-%{version}.tar.gz
Patch1: gfs2-utils-norun.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The gfs2-utils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in GFS
filesystems.

%prep
%setup -q -n gfs2-%{version}
%patch1 -p2 -b .norun

%build
./configure --kernel_src=/usr --libdir=%{_libdir}
sed -i '/RELEASE_MAJOR/s/= .*/= 0/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= 1.0/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %{version}/' make/defines.mk
mkdir include/linux
#cp include/gfs2_ondisk.h include/linux/
make

%post
/sbin/chkconfig --add gfs2

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del gfs2
fi
exit 0

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/*
/etc/rc.d/init.d/gfs2

%{_mandir}/*/*

%changelog
* Fri Dec 12 2008 Chris Feist <cfeist@redhat.com> 0.1.53-1
- gfs2_convert now properly converts file systems.
- Resolves: rhbz#240584 rhbz#471618

* Wed Dec 10 2008 Chris Feist <cfeist@redhat.com> 0.1.52-1
- gfs2_convert now properly converts file systems.
- Resolves: rhbz#240584 rhbz#471618

* Mon Dec 01 2008 Chris Feist <cfeist@redhat.com> 0.1.51-1
- Device is now properly checked to verify that the device is not already
  mounted or busy.
- gfs2_convert now properly converts file systems.
- Resolves: rhbz#240584 rhbz#471618

* Fri Nov 14 2008 Chris Feist <cfeist@redhat.com> 0.1.50-1
- gfs2_edit can now save the metadata of a GFS filesystem.
- Resolves: rhbz#471239

* Tue Oct 14 2008 Chris Feist <cfeist@redhat.com> 0.1.49-1
- Fixes to make noatime/nodiratime options work properly.

* Mon Sep 29 2008 Chris Feist <cfeist@redhat.com> 0.1.48-1
- Segfault fixed when running special block lists.
- Resolves: rhbz#463588

* Mon Sep 15 2008 Chris Feist <cfeist@redhat.com> 0.1.47-1
- gfs2_utils now recognizes the new gfs2meta fs changes.
- Resolves: rhbz#459630

* Thu Sep 11 2008 Chris Feist <cfeist@redhat.com> 0.1.46-1
- Buffers are now synced to disk when re-writing the superblock.
- Resolves: rhbz#461290

* Fri Sep 05 2008 Chris Feist <cfeist@redhat.com> 0.1.45-1
- Updates to /etc/mtab are skipped when it is a link to /proc/mounts.
- Various updates to gfs2_edit.
- mkfs.gfs2 now has an option fs size parameter.
- gfs2_fsck now accepts UNLINKED metadata blocks.
- Resolves: rhbz#438759 rhbz#318271 rhbz#450004 rhbz#450764 rhbz#460327

* Wed Apr 02 2008 Chris Feist <cfeist@redhat.com> 0.1.44-1
- mkfs.gfs2 man page now documents the proper default lock protocol
- Resolves: rhbz#435917

* Fri Jan 18 2008 Chris Feist <cfeist@redhat.com> 0.1.43-1
- Support has been added for the -n and -f mount options.
- Resolves: rhbz#333961

* Mon Jan 14 2008 Chris Feist <cfeist@redhat.com> 0.1.42-1
- gfs2_fsck now behaves more like other filesystem fsck commands
- gfs2_edit man page created
- Fixed build time warnins for gfs2 userland tools
- lock_dlm is now the default lock protocol in mkfs.gfs and mkfs.gfs2
- Journals are now not cleared without asking the user first
- Updates to gfs2_jadd man page
- Extra slashes on gfs2 mount paths no longer confuse gfs2 tools
- gfs2_tool lockdump has been implemented
- gfs2_tool man page has been updated
- gfs2_quota now works if the lock table is not specified
- Additional gfs2_tool commands have now been implemented
- gfs2_edit savemeta now saves the rindex file
- Resolves: rhbz#240545 rhbz#247318 rhbz#251180 rhbz#311591 rhbz#291551 rhbz#291551 rhbz#334481 rhbz#345501 rhbz#349601 rhbz#354201 rhbz#352581 rhbz#336561 rhbz#364741 rhbz#352841 rhbz#369771 rhbz#382581 rhbz#402971 rhbz#325151 rhbz#426670

* Wed Dec 19 2007 Chris Feist <cfeist@redhat.com> 0.1.41-1
- gfs2_fsck changes the system inodes properly now.
- gfs2_edit savemeta now saves the rindex file.
- Resolves: rhbz#402971 rhbz#325151

* Mon Nov 19 2007 Chris Feist <cfeist@redhat.com> 0.1.40-1
- New sources
- Resolves: rhbz#382581

* Tue Sep 25 2007 Chris Feist <cfeist@redhat.com> 0.1.38-1
- GFS filesystems with 1k block sizes now mount.
- Resolves: rhbz#304001

* Tue Sep 18 2007 Chris Feist <cfeist@redhat.com> 0.1.37-1
- More work on processing the '-n' command line option
- Resolves: rhbz#291451

* Mon Sep 17 2007 Chris Feist <cfeist@redhat.com> 0.1.36-1
- fsck now works when processing files larger than 945 MB
- fsck now properly process the '-n' command line option
- Resolves: rhbz#291451 rhbz#287901

* Tue Sep 11 2007 Chris Feist <cfeist@redhat.com> 0.1.34-1
- gfs2_fsck is now found by the fsck wrapper
- Resolves: rhbz#286211

* Fri Aug 24 2007 Chris Feist <cfeist@redhat.com> 0.1.33-1
- Userland fixes for gfs2 quota linked list issues
- Resolves: rhbz#253016

* Mon Aug 20 2007 Chris Feist <cfeist@redhat.com> 0.1.32-1
- Fix gfs2 init script so it doesn't remove modules on shutdown
- Resolves: rhbz#253172

* Wed Aug 15 2007 Chris Feist <cfeist@redhat.com> 0.1.31-1
- gfs2_tool can now set data journal flags
- Remove check for sysfs
- Resolves: rhbz#248423

* Thu Jul 26 2007 Chris Feist <cfeist@redhat.com> 0.1.26-1
- Fixed an issue with gfs mount not properly loading the gfs module
- Resolves: rhbz#247853

* Tue Jan 16 2007 Chris Feist <cfeist@redhat.com> 0.1.24-1
- New upstream sources.
- Resolves: rhbz#222747

* Wed Jan 03 2007 Chris Feist <cfeist@redhat.com> 0.1.24-1
- Updated sources
- Resolves: rhbz#218560

* Thu Dec 21 2006 Chris Feist <cfeist@redhat.com> 0.1.23-1
- Updated sources
- Resolves: rhbz#218560

* Tue Dec 19 2006 Chris Feist <cfeist@redhat.com> 0.1.22-1
- New upstream sources.
- Resolves: rhbz#219878

* Tue Dec 04 2006 Chris Feist <cfeist@redhat.com> 0.1.21-1
- New upstream sources.
- Resolves: rhbz#218134 rhbz#215962

* Thu Nov 30 2006 Chris Feist <cfeist@redhat.com> 0.1.19-1
- New upstream sources.
- Resolves: rhbz#217798

* Wed Nov 29 2006 Chris Feist <cfeist@redhat.com> 0.1.18-1
- New upstream sources.
- Resolves: rhbz#217460

* Thu Oct 26 2006 Chris Feist <cfeist@redhat.com> 0.1.14-1
- New upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> 0.1.12-1
- New Upstream sources.

* Fri Oct 13 2006 Chris Feist <cfeist@redhat.com> 0.1.10-1
- New Upstream sources.

* Mon Oct 09 2006 Chris Feist <cfeist@redhat.com> 0.1.9-1
- New Upstream sources.

* Mon Sep 25 2006 Chris Feist <cfeist@redhat.com> 0.1.8-1
- New Upstream sources.

* Wed Sep 13 2006 Chris Feist <cfeist@redhat.com> 0.1.7-1
- New Upstream sources.

* Thu Sep 07 2006 Chris Feist <cfeist@redhat.com> 0.1.6-2
- Fix typo in uninstall script (turn off gfs2 instead of gfs)

* Mon Aug 28 2006 Chris Feist <cfeist@redhat.com> 0.1.6-1
- New Upstream sources.

* Tue Aug 22 2006 Chris Feist <cfeist@redhat.com> 0.1.5-1
- New Upstream sources.

* Mon Aug 14 2006 Chris Feist <cfeist@redhat.com> 0.1.3-0
- New Upstream sources, use dist tag.

* Fri Jul 14 2006 Chris Feist <cfeist@redhat.com>
- Rebuild with updated sources

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com>
- rebuild

* Tue Jun 27 2006 Florian La Roche <laroche@redhat.com>
- fix typo in preun script

* Fri Jun 09 2006 Chris Feist <cfeist@redhat.com> - 0.1.0-1.fc6.3
- Initial build of gfs-utils.
